Subject: bug#3889: 23.1.50; [PATCH] Increase blink-matching-paren-distance

From: Ian Eure <[email-masked]>
Date: Mon, 20 Jul 2009 13:49:46 -0700

A user came into #emacs today complaining that his paren matching was  
not working with a large file, and that font-locking broke as a result.

I found that this is controlled by blink-matching-paren-distance,  
which was increased to 25kb around 1997.

Attached is a patch which doubles this to 50kb, as this should be fine  
for modern machines. I think that we should seriously consider setting  
the default to nil, but this seems like a more conservative approach  
to the matter.